package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Duration_type;
import com.realnet.basicp1.Services.Duration_typeService ;


@RequestMapping(value = "/token/Duration_type")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Duration_typeController {
	@Autowired
	private Duration_typeService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Duration_type")
		  public Duration_type Savedata(@RequestBody Duration_type data) {
		Duration_type save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Duration_type/{id}")
	public  Duration_type update(@RequestBody Duration_type data,@PathVariable Integer id ) {
		Duration_type update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Duration_type/getall/page")
	public Page<Duration_type> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Duration_type> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Duration_type")
	public List<Duration_type> getdetails() {
		 List<Duration_type> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Duration_type")
	public List<Duration_type> getallwioutsec() {
		 List<Duration_type> get = Service.getdetails();		
		return get;
}
@GetMapping("/Duration_type/{id}")
	public  Duration_type  getdetailsbyId(@PathVariable Integer id ) {
		Duration_type  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Duration_type/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}